<?php

namespace Schaffen\Gef\Transformers;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\Veiculo;

/**
 * Class VeiculoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class VeiculoShowTransformer extends TransformerAbstract
{
    /**
     * Transform the Veiculo entity.
     *
     * @param \Schaffen\Gef\Models\Veiculo $model
     *
     * @return array
     */
    public function transform(Veiculo $model)
    {

       $model->proprietario;
       $model->seguradora;

       foreach ($model->documentoModulo as &$documento){
          $documento->dom_data_vencimento = (isset($documento->dom_data_vencimento)) ? Carbon::createFromFormat('Y-m-d', $documento->dom_data_vencimento)->format('d/m/Y'): null;
       }

        return [
            'codigo'          => (int) $model->vei_codigo,
            "placa"           => $model->vei_placa,
            "modelo"          => $model->vei_modelo,
            "municipio"       => $model->vei_municipio,
            "uf"              => $model->vei_uf,
            "cor"             => $model->vei_cor,
            "ano"             => $model->vei_ano,
            "identificador"   => $model->vei_identificador,
            "renavam"         => (int) $model->vei_renavam,
            "chassi"          => $model->vei_chassi,
            "km_inicial"      => $model->vei_km_inicial,
            "descricao"       => $model->vei_descricao,
            "tipo_combustivel"=> $model->vei_tipo_combustivel,
            "proprietario"    => $model->proprietario,
            "seguradora"      => $model->seguradora,
            "documentoModulo" => $model->documentoModulo

            /* place your other model properties here */

        ];
    }
}
